<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../license/license.php" );
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
$sound =  $login['sound'] ;
$level = $row['level'];
$login = $row['login'];
echo "<title>cPanel</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol}; text-align: center }";
echo ".cp { border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }";
echo "</style>";
echo "</head>";
echo "<body>";
if ( $level < 4 )
{
echo "<div>Your login ERROR!</div>";
}
else
{
if ( $view )
{
$mod = "view";
}
else if ( $kick )
{
$mod = "kick";
}
else if ( $ban )
{
$mod = "ban";
}
else if ( $sst )
{
$mod = "sst";
}
else if ( $clroom )
{
$mod = "clroom";
}
else if ( $crt )
{
$mod = "crt";
}
else if ( $delroom )
{
$mod = "delroom";
}
else if ( $nazv )
{
$mod = "nazv";
}
else if ( $deluser )
{
$mod = "deluser";
}
else if ( $razip )
{
$mod = "razip";
}
else if ( $adn )
{
$mod = "adn";
}
else if ( $dln )
{
$mod = "dln";
}
else if ( $tell )
{
$mod = "tell";
}
else if ( $dbn )
{
$mod = "dbn";
}
else if ( $addph )
{
$mod = "addph";
}
else
{
$mod = $mod;
}
switch ( $mod )
{
case "tell" :
if ( empty( $do ) )
{
echo "<div>Объявление в чат</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Текст:<br/>";
echo "<input type=\"text\" name=\"msg\" maxlength=\"512\"/><br/>";
echo "<input value=\"Послать\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else if ( empty( $msg ) )
{
echo "<div>Пустое сообщение!</div>";
}
else
{
$time = time( );
$msg = substr( $msg, 0, 1024 );
$msg = check( $msg );
$msg = "<b>{$msg}</b>";
mysql_query( "Insert into mess set id=0, login='[{$login}]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
echo "<div>Объявление успешно добавленно!</div>";
}
break;
case "clroom" :
mysql_query( "TRUNCATE TABLE mess" );
mysql_query( "TRUNCATE TABLE intim" );
echo "<div>Комнаты успешно очищенны!</div>";
break;
case "addph" :
if ( $level < 5 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Добавить фото</div>";
echo "<form  method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Кому:<br/>";
echo "<input type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo "Ссылка:<br/>";
echo "<input name=\"url\" maxlength=\"100\" value=\"http://\"/><br/>";
echo "<input value=\"Добавить\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else
{
$nick = check( $nick );
$q = @mysql_query( "select id from users where login='".$nick."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$url = substr( $url, 0, 100 );
$url = check( $url );
if ( mysql_query( "update users set photo ='".$url."'  where login='".$nick."';" ) )
{
echo "<div>Фото успешно добавленно!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
}
break;
case "deluser" :
if ( $level < 7 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Удалить пользователя</div>";
echo "<form  method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Кого:<br/>";
echo "<input type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo "<input value=\"Удалить\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else
{
$nick = check( $nick );
$q = @mysql_query( "select level,login from users where login='".$nick."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$data = mysql_fetch_array( $q );
if ( $level <= $data['level'] )
{
echo "<div>Вы не можете удалить <b>{$nick}</b> !!!</div>";
}
else if ( mysql_query( "delete from users where login='{$nick}';" ) )
{
echo "<div><b>{$nick}</b> успешно удален из чата!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
}
break;
case "dbn" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Черный список</div>";
$q = mysql_query( "select id, login,whokick from users where ban='1' limit 10;" );
while ( $arr = mysql_fetch_array( $q ) )
{
++$i;
echo "{$i}. <a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=del&amp;mid=".$arr['id']."\">".$arr['login']."</a>  [".$arr['whokick']."]<br/>";
}
}
else
{
$mid = intval( $mid );
if ( mysql_query( "update users set ban='0', whokick='', whykick=''  where id='".$mid."';" ) )
{
echo "<div>Пользователь успешно разбанен!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}\">Разбанить еще</a><br/>";
}
break;
case "kick" :
$nick = check( $nick );
$q = @mysql_query( "select level,login from users where login='".$nick."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$data = @mysql_fetch_array( $q );
if ( $level <= $data['level'] )
{
echo "<div>Вы не можете пинать <b>".$data['login']."</b> !!!</div>";
}
else
{
$min = intval( $min );
$sec = $min * 60;
$wtime = $sec + time( );
$why = substr( $why, 0, 100 );
$why = check( $why );
if ( !mysql_query( "update users set kick='".$wtime."', whokick='".$login."', whykick='".$why."'  where login='".$nick."';" ) )
{
break;
}
echo "<div><b>{$nick}</b> выпнут из чата на {$min} минут!</div>";
}
}
break;
case "ban" :
if ( $level < 5 )
{
echo "<div>Your login ERROR!</div>";
}
else
{
$nick = check( $nick );
$q = mysql_query( "select id, login, level, ip, browser from users where login='".$nick."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$data = @mysql_fetch_array( $q );
if ( $level <= $data['level'] )
{
echo "<div>Вы не можете банить <b>".$data['login']."</b> !!!</div>";
}
else
{
$ip = $data['ip'];
$brows = $data['browser'];
$curtime = time( );
$why = substr( $why, 0, 100 );
$why = check( $why );
mysql_query( "insert into ban_ip values(0,'{$ip}','{$brows}','{$curtime}');" );
if ( mysql_query( "update users set ban='1', whokick='".$login."', whykick='".$why."'  where login='".$nick."';" ) )
{
echo "<div><b>".$data['login']."</b> забанен!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
}
}
break;
case "adn" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Добавить новость</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Название:<br/>";
echo "<input name=\"title\" maxlength=\"30\"/><br/>";
echo "Содержание:<br/>";
echo "<input name=\"content\" maxlength=\"512\"/><br/>";
echo "Организаторы:<br/>";
echo "<input name=\"org\" maxlength=\"15\"/><br/>";
echo "<input value=\"Добавить\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else if ( empty( $title ) )
{
echo "<div>Пустое название!</div>";
}
else if ( empty( $content ) )
{
echo "<div>Пустое содержание встречи!</div>";
}
else if ( empty( $org ) )
{
echo "<div>Организаторов нет!</div>";
}
else
{
$q = mysql_query( "select title, content from news order by id desc;" );
$last_news = @mysql_fetch_array( $q );
if ( $title == $last_news['title'] || $content == $last_news['content'] )
{
echo "<div>Такая новость уже добавлена!</div>";
}
else
{
$title = substr( $title, 0, 60 );
$content = substr( $content, 0, 1024 );
$org = substr( $org, 0, 30 );
$title = check( $title );
$content = check( $content );
$org = check( $org );
echo "<div>";
if ( mysql_query( "insert into news values(0,'{$login}','{$title}','{$content}','{$org}');" ) )
{
echo "Ваша новость успешно добавлена!";
}
else
{
echo "Проблемы с базой данных!";
}
echo "</div>";
}
}
break;
case "dln" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else
{
$q = mysql_query( "select * from news order by id desc;" );
if ( empty( $do ) )
{
echo "<div>Удалить новость</div>";
if ( mysql_affected_rows( ) == 0 )
{
echo "Новостей нет...";
}
else if ( $arr = mysql_fetch_array( $q ) )
{
while ( $arr = mysql_fetch_array( $q ) )
{
++$i;
echo "{$i}. <a href=\"index.php?do=del&amp;id={$id}&amp;pass={$pass}&amp;mod=dln&amp;mid=".$arr['id']."\">".$arr['title']."</a><br/>";
}
}
}
else
{
$mid = intval( $mid );
if ( mysql_query( "delete from news where id='{$mid}' limit 1;" ) )
{
echo "<div>Новость успешно удалена!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
echo "<br/>";
}
break;
case "crt" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Создать комнату</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Название:<br/>";
echo "<input type=\"text\" name=\"name\" maxlength=\"20\"/><br/>";
echo "Статус:<br/>";
echo "<select name=\"rid\">";
echo "<option value=\"0\">Викторина</option>";
echo "<option value=\"1\">Комната N1</option>";
echo "<option value=\"2\">Комната N2</option>";
echo "<option value=\"3\">Комната N3</option>";
echo "<option value=\"4\">Комната N4</option>";
echo "<option value=\"5\">Комната N5</option>";
echo "<option value=\"6\">Комната N6</option>";
echo "<option value=\"7\">Комната N7</option>";
echo "<option value=\"8\">Комната N8</option>";
echo "<option value=\"9\">Сортир</option>";
echo "<option value=\"10\">Интим</option>";
echo "</select><br/>";
echo "<input value=\"Создать\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else if ( empty( $name ) )
{
echo "<div>Пустое название!</div>";
}
else
{
$rid = intval( $rid );
if ( $rid < 0 || 10 < $rid )
{
echo "<div>Неверное значение ключа!</div>";
}
else
{
$name = substr( $name, 0, 40 );
$name = check( $name );
$q = @mysql_query( "select `id` from `setts` where `var`='{$rid}';" );
if ( mysql_num_rows( $q ) != 0 )
{
echo "<div>Такая комната уже есть!</div>";
}
else if ( @mysql_query( "insert into setts values(0, '".$rid."', '".$name."');" ) )
{
echo "<div>Комната успешно созданна!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
}
break;
case "delroom" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Удалить комнату</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Комната<br/>";
echo "<select name=\"rid\">";
$q = @mysql_query( "select * from `setts` order by var;" );
while ( $dbdata = @mysql_fetch_array( $q ) )
{
echo "<option value=\"".$dbdata['var']."\">".$dbdata['name']."</option>";
}
echo "</select><br/>";
echo "<input value=\"Удалить\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else
{
$rid = intval( $rid );
if ( @mysql_query( "delete from `setts` where `var`='{$rid}';" ) )
{
echo "<div>Комната успешно удалена!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
break;
case "nazv" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Новое название</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Заголовок:<br/>";
echo "<input type=\"text\" name=\"name\" maxlength=\"15\"/><br/>";
echo "Комната<br/>";
echo "<select name=\"rid\">";
$q = @mysql_query( "select * from `setts` order by var;" );
while ( $dbdata = @mysql_fetch_array( $q ) )
{
echo "<option value=\"".$dbdata['var']."\">".$dbdata['name']."</option>";
}
echo "</select><br/>";
echo "<input value=\"Изменить\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else if ( empty( $name ) )
{
echo "<div>Пустой заголовок!</div>";
}
else
{
$name = substr( $name, 0, 30 );
$name = check( $name );
$rid = intval( $rid );
if ( @mysql_query( "update setts set name='{$name}' where var='{$rid}';" ) )
{
echo "<div>Заголовок успешно изменен!</div>";
}
else
{
echo "<div>Ошибка...</div>";
}
}
break;
case "upd" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $upid ) )
{
echo "<div>Неожиданная ошибка!</div>";
}
else if ( empty( $upnick ) )
{
echo "<div>Пустой ник!</div>";
}
else if ( 30 < strlen( $upnick ) )
{
echo "<div>Максимальная длинна ника 15 символов!</div>";
}
else if ( empty( $upass ) )
{
echo "<div>Пустой пароль!</div>";
}
else if ( 20 < strlen( $upass ) )
{
echo "<div>Максимальная длинна пароля 20 символов!</div>";
}
else if ( preg_match( "/[^\\da-zA-Z_]+/", $upass ) )
{
echo "<div>Пароль должен быть на латинице!</div>";
}
else
{
$status = substr( $status, 0, 50 );
$upnick = check( $upnick );
$upass = check( $upass );
$status = check( $status );
$posts = intval( $posts );
$vposts = intval( $vposts );
$credits = intval( $credits );
$byeotv = intval( $byeotv );
$inv = intval( $inv );
$upid = intval( $upid );
$q = @mysql_query( "select login,level from users where id='".$upid."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$data = @mysql_fetch_array( $q );
if ( strlen( $color ) != 6 || preg_match( "/[^\\dA-F]+/", $color ) )
{
echo "<div>Цвет ника не  был измененн ! - Неверный формат цвета !</div><br/>";
$color = $data['color'];
}
if ( $level < $data['level'] )
{
echo "<div>Нет прав на данную операцию!</div>";
}
else
{
$nick = $data['login'];
$q = @mysql_query( "select id from users where login = '".$upnick."' and login != '".$nick."'" );
if ( mysql_num_rows( $q ) != 0 )
{
echo "<div>Пользователь <b><u>{$upnick}</u></b> уже сушествует</div>\n";
}
else
{
$ins_str = "Update users set login='".$upnick."', pass='".$upass."', posts='".$posts."', credits='".$credits."', color='".$color."',  vposts='".$vposts."', status='".$status."' where id ='".$upid."'";
if ( mysql_query( $ins_str ) )
{
echo "<div>Данные пользователя <b><u>{$nick}</u></b> успешно обновленны!</div>";
}
else
{
echo "<div>Неожиданная ошибка!</div>";
}
}
}
}
}
break;
case "view" :
if ( $level < 6 )
{
echo "<div>Your login ERROR!</div>";
}
else
{
$nick = check( $nick );
$q = @mysql_query( "select * from users where login='".$nick."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$data = @mysql_fetch_array( $q );
if ( $level < $data['level'] )
{
echo "<div>Информация закрыта!</div>";
}
else
{
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod=upd&amp;upid={$data['id']}\">";
echo "Ник:<br/>";
echo "<input name=\"upnick\" value=\"{$data['login']}\" title=\"nick\" maxlength=\"12\"/><br/>";
echo "Пароль:<br/>";
echo "<input name=\"upass\" value=\"{$data['pass']}\" title=\"upass\" maxlength=\"20\"/><br/>";
echo "Цвет (код):<br/>";
echo "<input name=\"color\" value=\"{$data['color']}\" title=\"posts\" maxlength=\"6\"/><br/>";
echo "А постов та:<br/>";
echo "<input name=\"posts\" value=\"{$data['posts']}\" title=\"posts\" maxlength=\"9\"/><br/>";
echo "Ответов в викторине:<br/>";
echo "<input name=\"vposts\" value=\"{$data['vposts']}\" title=\"vposts\" maxlength=\"9\"/><br/>";
echo "Игоровых кредитов:<br/>";
echo "<input name=\"credits\" value=\"{$data['credits']}\" title=\"credits\" maxlength=\"9\"/><br/>";
echo "Статус:<br/>";
echo "<input name=\"status\" value=\"{$data['status']}\" title=\"status\" maxlength=\"25\"/><br/>";
echo "<input type=\"submit\" class=\"cp\" value=\"Изменить\" /></form>";
}
}
}
break;
case "sst" :
if ( $level < 7 )
{
echo "<div>Your login ERROR!</div>";
}
else if ( empty( $do ) )
{
echo "<div>Назначить</div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;mod={$mod}&amp;do=go\">";
echo "Кого:<br/>";
echo "<input type=\"text\" name=\"nick\" maxlength=\"15\"/><br/>";
echo "Кем:<br/>";
echo "<select name=\"nlev\">";
echo "<option value=\"0\">Разжаловать</option>";
echo "<option value=\"4\">V.I.P.</option>";
echo "<option value=\"5\">Модер</option>";
echo "<option value=\"6\">Ст.Модер</option>";
if ( 7 < $level )
{
echo "<option value=\"7\">Админ</option>";
echo "<option value=\"8\">Ст.Админ</option>";
}
echo "</select><br/>";
echo "<input value=\"Назначить\" type=\"submit\" class=\"cp\">";
echo "</form>";
}
else
{
$nick = check( $nick );
$nlev = intval( $nlev );
$q = @mysql_query( "select id, level  from users where login='".$nick."';" );
if ( mysql_num_rows( $q ) == 0 )
{
echo "<div>Такого юзера не существует!</div>";
}
else
{
$data = @mysql_fetch_array( $q );
$upid = $data['id'];
if ( $level < $data['level'] )
{
echo "<div>Вы не можете изненить статус <b>{$nick}</b>!</div>";
}
else if ( $level < $nlev )
{
echo "<div>Вы не можете присвоить статус выше чем у вас!!!</div>";
}
else
{
$ins_str = "Update users set level='".$nlev."'  where id ='".$upid."'";
if ( mysql_query( $ins_str ) )
{
echo "<div>Данные пользователя <b><u>{$nick}</u></b> успешно обновленны!</div>";
}
else
{
echo "<div>Неожиданная ошибка!</div>";
break;
}
}
}
}
default :
if ( $level == 4 )
{
$cpanel = "V.I.P";
}
if ( $level == 5 )
{
$cpanel = "MODERz";
}
if ( $level == 6 )
{
$cpanel = "TOP MODERz";
}
if ( $level == 7 )
{
$cpanel = "ADMINz";
}
if ( 8 < $level )
{
$cpanel = "SUPER";
}
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"../sound/prikaz.wav\"></br>";
}
echo "<div><b>{$cpanel} cPanel</b></div>";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}\">";
echo "Ник юзера:<br/>";
echo "<input name=\"nick\" maxlength=\"12\" value=\"{$to}\"/><br/>";
if ( 5 < $level )
{
echo "<input type=\"submit\" name=\"view\" class=\"cp\" value=\"Обновить\"/><br/>\n";
}

echo "</form>";

break;
}
if ( isset( $mod ) )
{
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">cPanel</a><br/>";
}
}

echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a><br/>";
$end = gettime( );
echo "<p align=\"center\"><p>{$ip}</p>";
echo "[".round( $end - $mystart, 5 )."]";
echo "</p></body></html>";
mysql_close( $link );
?>